max v2;
#N vpatcher 606 100 1245 669;
#P setbglock 1;
#P window setfont "Sans Serif" 9.;
#P comment 164 236 436 196617 rotate an encoded ambisonic soundfield around one of the principal axes.;
#P message 79 236 68 196617 ambi.rotate~;
#P comment 173 515 423 196617 an example of combining ambisonics with OpenGL spatial objects in Jitter;
#P message 78 513 76 196617 ambi.jitter.pat;
#P comment 189 489 423 196617 an example of adding distance cues for more convincing spatialisation;
#P message 78 488 108 196617 ambi.distancecues.pat;
#P message 78 461 109 196617 ambi.thirdorder2d.pat;
#P message 78 444 98 196617 ambi.thirdorder.pat;
#P comment 175 444 423 196617 an example of 3rd order encoding and decoding for 16+ loudspeakers;
#P hidden newex 4 442 66 196617 prepend load;
#P message 78 415 81 196617 ambi.record.pat;
#P window linecount 2;
#P comment 175 415 423 196617 an example of recording a 1st order (B-Format) sound field to disk \, and playing back a B-Format file from disk;
#P window setfont "Sans Serif" 12.;
#P window linecount 1;
#P comment 77 389 81 196620 Examples;
#P window setfont "Sans Serif" 9.;
#P window linecount 2;
#P comment 163 285 438 196617 balances the components of an Ambisonic encoded soundfield per order \, using a set of pre-defined or user-defined weights.;
#P window linecount 1;
#P comment 165 343 438 196617 distributes an ambisonic encoded soundfield to a specified loudspeakers array;
#P window setfont "Sans Serif" 12.;
#P comment 79 316 81 196620 Decoding;
#P comment 78 209 81 196620 Manipulation;
#P comment 78 105 81 196620 Encoding;
#P window setfont "Sans Serif" 9.;
#P comment 164 261 436 196617 flip an encoded ambisonic soundfield around one of the principal axes.;
#P window linecount 2;
#P comment 163 155 437 196617 encode up to 16 sources with independent azimuth & elevations \, mixed into a combined ambisonic encoded sound field.;
#P window linecount 1;
#P comment 163 127 436 196617 encode a monophonic source with azimuth and elevation into an ambisonic encoded sound field.;
#P comment 16 69 300 196617 www.grahamwakefield.net;
#P comment 16 57 300 196617 Graham Wakefield \, March 2006;
#P newex 500 75 108 196617 ambi.conventions.help;
#P window setfont "Sans Serif" 20.;
#P comment 16 28 301 196628 Ambisonic Overview;
#P window setfont "Sans Serif" 9.;
#P window linecount 4;
#P comment 320 33 300 196617 Inspired by work on a C++ implementation by Jorge Castellanos \, Florian Hollerweger and Graham Wakefield \, using the CSL framework developed at MAT/CREATE \, UCSB (www.create.ucsb.edu/CSL);
#P window linecount 1;
#P message 79 261 71 196617 ambi.mirror~;
#P message 80 342 70 196617 ambi.decode~;
#P message 79 284 70 196617 ambi.weight~;
#P message 78 156 75 196617 ambi.encoden~;
#P message 78 128 70 196617 ambi.encode~;
#P hidden newex 4 464 45 196617 pcontrol;
#P hidden newex 4 336 64 196617 prepend help;
#P user panel 53 96 555 276;
#X brgb 208 228 254;
#X frgb 84 172 230;
#X border 2;
#X rounded 0;
#X shadow 0;
#X done;
#P background;
#P user panel 53 377 555 161;
#X brgb 208 228 254;
#X frgb 84 172 230;
#X border 2;
#X rounded 0;
#X shadow 0;
#X done;
#P background;
#P hidden connect 4 0 2 0;
#P hidden connect 5 0 2 0;
#P hidden connect 8 0 2 0;
#P hidden connect 6 0 2 0;
#P hidden connect 7 0 2 0;
#P hidden connect 33 0 2 0;
#P hidden connect 24 0 25 0;
#P hidden connect 27 0 25 0;
#P hidden connect 28 0 25 0;
#P hidden connect 29 0 25 0;
#P hidden connect 31 0 25 0;
#P hidden connect 2 0 3 0;
#P hidden connect 25 0 3 0;
#P pop;
